# Load More Anything WordPress Plugin

A awesome plugin that helps you to Load More Anything on your WordPress Website. You can use the Load More button for your blog post, Comments, page, Category, Recent Posts, Sidebar widget Data, Woocommerce products, Images, Photos, Videos, custom Div, or whatever you want.

### Infinite Scroll


You can use this plugin to Load your blog posts without reloading the whole page! You can use default pagination, Infinite Scroll, and Custom button to load the blog posts. when you scroll the page posts will be loaded automatically.
[View Demo](https://plugins.addonmaster.com/ajax-load-more-anything/blog/)

### Load WordPress Comments

Does your site have too many comments or reviews? No problem, You can load post comments or Product reviews without reloading the page.
[View Demo](https://plugins.addonmaster.com/ajax-load-more/long-comments/)

### WooCommerce Products Ajax Pagination


You can use this plugin to Load your WooCommerce Products without reloading the whole page! You can use the default pagination, Infinite Scroll, and Custom button.
[View Demo](https://plugins.addonmaster.com/ajax-load-more/store/) 

### Load More Button
A load more button will help you to load more respited content, you can define how many items will be loaded for each click. Button Counter will display total items and each click it will show how many items are left.
[View Demo](https://plugins.addonmaster.com/ajax-load-more/load-blog-posts/) 

### Load more List items

From a long list of data, you can short the data list by limiting how many items will be loaded initially. The load more button will load data step by step.
[View Demo](https://plugins.addonmaster.com/ajax-load-more/load-more-list/)

### Load More Table Rows

Do you have lots of data in a table? load more anything plugin can make the table short and you can load the table data by clicking on the load more button.
[View More](https://plugins.addonmaster.com/ajax-load-more/load-more-table-data/)

### Load Almost Anything
If you have any suitable wrapper then you can apply load more functionaly there. 


### Features:
* Infinite Scroll on Posts, Blogs, Archives, Categories, Pages, Products, and Custom Post Types 
* Javascript based General Wrapper	
* Ajax Based Wrapper
* Ajax Pagination on Posts, Blogs, Archives, Categories, Pages, Products, and Custom Post Types 
* Load more anything you want
* Customizable Load More button
* Up to 6 General wrapper (*Unlimited in Pro*)
* 1 Ajax based wrapper (*Unlimited in Pro*)
* Display Flexbox Supported
* Countable Button Load More like: +15 More
* Feels like a Headless Website 
* Update Browser URL on Ajax Load (*Available in Pro*)
* Update Page Title on Ajax Load (*Available in Pro*)
* Custom CSS and JS


### Where you can apply Load More? (Ajax Based)
* Comments
* Custom Post Type
* WooCommerce
* Products
* Easy Digital Downloads
* Posts
* Pages
* Archives
* Search Results
* Taxonomies
* Mostly Anywhere if suitable wrapper found


### Where you can apply Load More? (Javascript Based)
* Blog Posts
* Menus
* Lists
* Comments
* Sidebar Widgets
* Woocommerce products
* Gallery
* Any looped div


### If you like the plugin, Don't forget to rate it. Your review is my inspiration. [Rate Now](https://wordpress.org/support/plugin/ajax-load-more-anything/reviews/?filter=5#new-post)


### Documentation and Support

- For documentation and tutorials go to our [Documentation](https://addonmaster.com/docs-category/load-more-anything/). 
- If you have any more questions, visit our support on the [Plugin's Forum](https://wordpress.org/support/plugin/ajax-load-more-anything).

### Happy User of Load More Anything?

- Join our [Facebook Group](https://www.facebook.com/groups/addonmaster/).
- Or rate us on [WordPress](https://wordpress.org/support/plugin/ajax-load-more-anything/reviews/?filter=5#new-post) :)


## Installation
How to install Load More Anything.

1. Navigate to the 'Add New' in the plugins dashboard
2. Search for 'Load More Anything'
3. Click 'Install Now'
4. Activate the plugin on the Plugin dashboard



## Frequently Asked Questions

**How can I show the count button?**
>Use +[count] More in button label so it will be show like this: +15 More

**How I use this**
>Just find the correct selector of the suitable wrapper and insert them in the Plugin Option Panel. The rest will be done by our plugin. More info in the documentation [Here](https://addonmaster.com/docs-category/load-more-anything/)

**I can't find the selector for my website. Can you help?**
>Please Submit A Support Ticket from [Here](https://addonmaster.com/submit-a-ticket/)(conditions apply)

**Do you have documentation for this plugin?**
>Yes. You can find the Documentation [Here](https://addonmaster.com/docs-category/load-more-anything/)

**Questions/Suggestions/Support?**
>Create Topic in [Support forum](https://wordpress.org/support/plugin/ajax-load-more-anything/)

## Screenshots
1. [Features Overview] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-1.png)
2. [Dashboard Features List] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-2.png)
3. [Dashboard General Wrapper Fields] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-3.png)
4. [Dashboard Ajax Wrapper Fields] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-4.png)
5. [Infinite Scroll] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-5.gif)
6. [Load WordPress Comments] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-6.gif)
7. [WooCommerce Products Ajax Pagination] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-7.gif)
8. [Load More Button] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-8.png)
9. [Load more List items] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-9.gif)
10. [Load More Table Rows] (https://ps.w.org/ajax-load-more-anything/assets/screenshot-10.gif)



## Changelog

== Changelog ==

= 3.2.0 - Feb 09, 2023 =
- WordPress 6.1.1 Compatibility
- Code Optimize


= 3.1.0 - Oct 25, 2022 =
- WordPress 6.0.3 Compatibility
- Fix: Pro modal
- Code Optimize

= 3.0.0 - Oct 10, 2022 =
- WordPress 6.0.2 Compatibility
- New Dashboard
- Code Improvement
- Ajax Based Wrapper	
- Dynamically Update Browser URL	
- Dynamically Update Page Title	
- Data Implement Type: Replace Data, Insert After, Insert Before
- Custom CSS Improve
- Ajax Preloader	
- General Wrapper Fields Improvements
- Ajax Usages on Comments, Custom Post Type, WooCommerce, Products, Easy Digital Downloads, Posts, Pages, Archives, Search Results, Mostly Anywhere


= 2.4.0 = ( Feb 06, 2021 )
- WordPress 5.6.1 Compatibility


= 2.2.6 = ( Oct 12, 2020 )
- Code Improvement
- Fixed: Incorrect behaviour in the latest Chrome
- Fixed: Selector Escaping
- Added: Add count to load more buton label
- Removed Bootstrap CSS
- Removed Bootstrap JS
- Added Style and Script file
- Variablized JavaScript
- Added pot file for Multilingual


= 2.2.3 = ( May 17, 2020 )
- fixed: Hide load more button if no more item to load

= 2.2.2 =
- Added lmd-container class to control load more button easily

= 2.1.3 =
- Security Improvement
- Setting option added on plugin

= 2.1.2 =
- Security Improvement

= 2.0.1 =
- Flexbox Wrapper added

= 2.0 =
- Increase multiple wrappers up to 5

= 1.0 =
- Initial release.

